%define url_ver %(echo %{version} | cut -d. -f1,2)

Summary:	Xfce Session Manager
Name:		xfce4-session
Version:	4.18.3
Release:	%mkrel 2
License:	GPLv2+
Group:		Graphical desktop/XFCE
URL:		https://www.xfce.org
Source0:	https://archive.xfce.org/src/xfce/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source2:	xfce4.pam
Source3:    xfce4.sh
Patch0100:	xfce4-session-4.13.2-xinitrc.patch
Patch0102:    0001-Export-XDG_CONFIG_HOME-and-XDG_CACHE_HOME.patch
BuildRequires: intltool
BuildRequires: iceauth
BuildRequires: xfce4-dev-tools
BuildRequires: lib64xfce4util-devel
BuildRequires: lib64xfce4ui2-devel
BuildRequires: lib64wnck3-devel
BuildRequires: lib64polkit1-devel
BuildRequires: lib64dbus-glib-1_2-devel

Requires:	usermode-consoleonly
Requires:	polkit-gnome
Requires:	consolekit
Requires:  task-pipewire
Obsoletes: xfce4-session-doc

%description
Xfce4-session is a session manager for Xfce. Its task is to save the state of
your desktop (opened applications and their location) and restore it during a
next startup. You can create several different sessions and choose one of
them on startup.

%prep
%setup -q
%autopatch -p1

%build
%xdt_autogen
%configure2_5x --disable-static
%make_build

%install
rm -rf %buildroot
%make_install

#put this in config pkg
rm -rf %{buildroot}/%{_sysconfdir}/xdg/xfce4/xfconf/xfce-perchannel-xml

# pam
install -Dm 644 %{SOURCE2} %{buildroot}/%{_sysconfdir}/pam.d/xfce4

# env
mkdir -p %{buildroot}%{_sysconfdir}/profile.d
install -m 0644 %{SOURCE3} %{buildroot}%{_sysconfdir}/profile.d

# wmsession session file
mkdir -p %{buildroot}/%{_sysconfdir}/X11/wmsession.d

%__cat << EOF > %{buildroot}%{_sysconfdir}/X11/wmsession.d/06Xfce
NAME=xfce4
ICON=xfce4-logo
DESC=XFce4 Desktop Environment
EXEC=/usr/bin/startxfce4
SCRIPT:
exec /usr/bin/startxfce4
EOF

# don't ship .la
find %{buildroot} -name "*.la" -delete

#drop these
rm -rf %{buildroot}%{_datadir}/xsessions/xfce.desktop
rm -rf %{buildroot}/%{_sysconfdir}/xdg/autostart/xscreensaver.desktop

%post
%make_session

%postun
%make_session

%files
%{_bindir}
%{_datadir}
%{_libdir}
%config(noreplace) %{_sysconfdir}/xdg/xfce4/xinitrc
%config(noreplace) %{_sysconfdir}/pam.d/xfce4
%config(noreplace) %{_sysconfdir}/xdg/xfce4/Xft.xrdb
%{_sysconfdir}/X11/wmsession.d/06Xfce
%{_sysconfdir}/profile.d/xfce4.sh

%changelog
* Thu Mar 14 2024 tex - 4.18.3-2pclos2024
- requires task-pipewire

* Wed May 31 2023 tex - 4.18.3-1pclos2023
- new version

* Wed Mar 29 2023 tex - 4.18.2-1pclos2023
- new version

* Thu Mar 23 2023 tex - 4.18.1-2pclos2023
- apply upstream stability patches

* Fri Feb 10 2023 tex - 4.18.1-1pclos2023
- new version

* Thu Dec 15 2022 tex - 4.18.0-1pclos2022
- new version

* Mon Dec 12 2022 tex - 4.17.2-1pclos2022
- prepare for 4.18 final
